import { ViewBase } from '../../libappbase/viewbase';
import { AppMP } from '../appmp';
import { FormScenario } from '../forms/form.scenario';
import { FormAssumption } from '../forms/form.assumption';

/**
 * Scenarios > Scenarios view
 */
export class ViewScenario extends ViewBase {
  public readonly name = 'Scenarios';
  public readonly viewPath = 'Scenarios > Scenarios';

  public formScenario = new FormScenario();
  public formAssumption = new FormAssumption();

  /**
   * Switch to Scenario View
   */
  public async switchTo(): Promise<void> {
    const appMP = AppMP.getInstance();
    // Click Scenario view on action bar page
    await appMP.abpScenario.click();
    await appMP.abpScenario.btnScenarios.click();

    await this.waitUILoaded();
  }

  public async waitUILoaded(): Promise<void> {
    await this.formAssumption.waitUntilPresent();
    await this.formScenario.waitUntilPresent();
  }
}
